# Gets a presigned URL to update for uploading a public image This method retrieves a file that was previously uploaded Endpoint: GET /fileUploads/{tenantId}/public/{service}/{id}/{fileid}/presignedUrlForUpload Version: v1-2025-04-18 ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed - `service` (string, required) The service containing the record this file is related to - `id` (string, required) The id of the record this file is related to - `fileid` (string, required) The id of the uploaded file ## Query parameters: - `isPublic` (boolean) Should this be a public signed url - `contentType` (string) The content type of the file being generate ## Response 200 fields (*/*): - `download_url` (string) The pre-signed url to use to download the temporary fiel once it has been uploaded - `signed_url` (string) The pre-signed url to upload the file - `url` (string) The S3 location of the file ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields